<template>
	<view class="screeningRecord" v-if="screeningResultData.length>0">
		<view class="screeningRecordItem" v-for="(item,index) in screeningResultData" :key="index">
			<!-- <view>筛查日期：{{ item.screeningDate }}</view> -->
			<view style="font-size: 16px;font-weight: 900;">{{ item.screeningDate }}</view>
			<view style="border-bottom: 1px solid #EDEDED;margin: 8px 0;"></view>
			<view>筛查项目：{{ item.projectName }}</view>
			<view>筛查医院：{{ item.hospitalName }}</view>
			<view>责任医生：{{ item.doctorName}}</view>
			<view style="border-bottom: 1px solid #EDEDED;margin: 10px 0;"></view>
			<view style="color: #346CF2;text-align: center;font-size: 30rpx;" @click="goToScreeningResult(item)">
				<span>查看筛查结果</span>
			</view>
		</view>
	</view>
	<view v-else style="margin-top: 50%;">
		<u-empty mode="order" icon-size='220' text="暂无筛查记录"></u-empty>
	</view>
</template>
<script>
	import {
		screeningResultList
	} from '@/api/pagesB/screeningRecord/screeningRecord.js'
	export default {
		data() {
			return {
				screeningResultData: [],
				registerId: "",
				patientId: "",
				pageNum: 1,
				pageSize: 10,
				total: 0,
			};
		},
		onLoad(e) {
			this.registerId = uni.getStorageSync('userinfo').id
			this.getScreeningResultList()
		},
		methods: {
			//获取结果记录列表
			getScreeningResultList() {
				screeningResultList(this.registerId,uni.getStorageSync('userinfo').cardNo,this.pageNum, this.pageSize).then(res => {
					this.screeningResultData = res.rows
					this.total = res.total
				})
			},
			// 查看筛查结果
			goToScreeningResult(item) {
				uni.navigateTo({
					url: `/pagesB/screeningResult/screeningResult?screeningId=${item.screeningId}&registerId=${this.registerId}&type=1`
				})
			}
		},
		onReachBottom() { //下滑加载
			if (this.screeningResultData.length >= this.total) {} else {
				this.pageNum++;
				screeningResultList(this.registerId,uni.getStorageSync('userinfo').cardNo, this.pageNum, this.pageSize).then(res => {
					res.rows.forEach(e => {
						this.screeningResultData.push(e)
					})
					this.total = res.total
				})
			}
		},
	}
</script>

<style lang="scss">
	.screeningRecord {
		width: 94%;
		margin: 10px auto;

		.screeningRecordItem {
			margin-top: 10px;
			padding: 10px 20px;
			background-color: #fff;
			line-height: 30px;
			border-radius: 10px;
		}
	}
</style>